:root {
  interpolate-size: allow-keywords;

  --color-burgund-100: #FFE5F2;
  --color-burgund-200: #FFB2D8;
  --color-burgund-700: #A30051;
  --color-burgund-800: #79003C;
  --color-burgund-900: #610030;
  --color-burgund-1000: #470023;

  --color-primary: var(--color-burgund-800);

  --color-yellow-100: #FFF7E0;
  --color-yellow-200: #FFEAB2;
  --color-yellow-400: #FFD870;
  --color-yellow-600: #FFC326;
  --color-yellow-700: #D69B00;

  --color-white: #ffffff;
  --color-gray-100: #F7F7F8;
  --color-gray-200: #DEDEE3;
  --color-gray-300: #CDCDD5;
  --color-gray-600: #868698;
  --color-gray-700: #5E5E6E;
  --color-gray-800: #383842;
  --color-gray-900: #26262C;
  --color-black: #000000;

  --color-info-light: #E7EDFF;
  --color-info: #417DDC;
  --color-info-dark: #002393;

  --color-success-light: #E8FFF4;
  --color-success: #00703A;

  --color-warning-light: #FFECD2;
  --color-warning: #FF950A;
  --color-warning-dark: #A05B00;

  --color-error-light: #FFE4E2;
  --color-error: #D11C1C;

  --focus-color: var(--color-black);

  --zindex-morphing-cta: 60900;
  --zindex-info-block: 60900;
  --zindex-alert-upper-top: 60900;
  --zindex-alert-popup-bottom: 60900;

  --zindex-greenbar: 65535;

  --zindex-mobile-bottom-nav: 100000;
  --zindex-drawer: 100000;
  --zindex-header: 70050;
  --zindex-anchor-nav: 70000;
  --zindex-skip-links: 70100;
  --zindex-alert-popup-bottom-large: var(--zindex-header);

  --zindex-morphing-cta-button: 79000;
  --zindex-morphing-circle: 79000;
  --zindex-morpher: 80100;
  --zindex-modal: 100000;

  --z-index-tippy: 100000;
  --z-index-slim-select: 100050;

  --header-height: 174px;

  --anchor-nav-offset-top: 96px;

  --anchor-nav-height: 106px;
  --scroll-margin-top: var(--anchor-nav-height);
}

:root {
  --bg-gray: #F7F7F8;
  --border-color: #e2e8f0;
  --background-light: #f8fafc;
  --transition: all 0.3s ease;
  --text-color: #1e293b;
  --shadow-md: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.revamp-nav {
  @media screen and (min-width: 1024px) {
    position: sticky;
    top: 0;
    z-index: 1000;
  }

  .position-relative {
    position: relative;
  }

  /* Button styles*/
  .button,
  button.button,
  a.button {
    --button-bg: var(--color-burgund-800);
    --button-border: var(--color-burgund-800);
    --button-color: var(--color-white);

    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .75rem 3rem;
    border: 2px solid var(--button-border);
    border-radius: 16px;
    position: relative;
    cursor: pointer;
    font-size: 1rem;
    font-weight: 700;
    line-height: 1.5;
    background-color: var(--button-bg);
    color: var(--button-color);
    gap: .5rem;
    text-decoration: none;

    @media screen and (min-width: 768px) {
      padding: .875rem 3rem;
      font-size: 1.25rem;
      line-height: 140%;
    }
  }

  .button.small {
    padding: 0.5rem 1.5rem;
    font-size: .875rem;
    line-height: 1.5;
    @media screen and (min-width: 768px) {
      font-size: 1rem;
    }
  }

  /* --- Variants --- */
  .button.primary {
    --button-bg: var(--color-burgund-800);
    --button-border: var(--color-burgund-800);
    --button-color: var(--color-white);
  }

  .button.primary.on-dark {
    --button-bg: var(--color-white);
    --button-border: var(--color-white);
    --button-color: var(--color-burgund-800);
  }

  .button.primary.on-light {
    --button-bg: var(--color-black);
    --button-border: var(--color-black);
    --button-color: var(--color-white);
  }

  .button.secondary {
    --button-bg: transparent;
    --button-border: var(--color-burgund-800);
    --button-color: var(--color-burgund-800);
  }

  .button.secondary.on-dark {
    --button-bg: transparent;
    --button-border: var(--color-white);
    --button-color: var(--color-white);
  }

  .button.secondary.on-light {
    --button-bg: transparent;
    --button-border: var(--color-black);
    --button-color: var(--color-black);
  }

  .button.tertiary {
    padding: .375rem 0;
    --button-bg: transparent;
    --button-border: transparent;
    --button-color: var(--color-burgund-800);
  }

  .button.tertiary.on-dark {
    --button-bg: transparent;
    --button-border: transparent;
    --button-color: var(--color-white);
  }

  .button.tertiary.on-light {
    --button-bg: transparent;
    --button-border: transparent;
    --button-color: var(--color-gray-700);
  }

  .button.tertiary.small {
    padding: .25rem .125rem;
  }

  .button.legal-note {
    --button-color: var(--color-primary);
  }

  .button.legal-note.on-light {
    --button-color: var(--color-gray-700);
  }

  .button.legal-note.on-dark {
    --button-color: var(--color-white);
  }

  .button.legal-note:focus-visible {
    --button-color: var(--color-white);
  }

  .button svg {
    flex-shrink: 0;

    path {
      fill: currentColor;
    }
  }

  /* --- States --- */
  .button:hover,
  .button.primary:hover {
    --button-bg: var(--color-burgund-700);
    --button-color: var(--color-white);
    --button-border: var(--color-burgund-700);
  }

  .button.primary.on-light:hover {
    --button-bg: var(--color-gray-800);
    --button-border: var(--color-gray-800);
    --button-color: var(--color-white);
  }

  .button.primary.on-dark:hover {
    --button-bg: var(--color-gray-200);
    --button-border: var(--color-gray-200);
    --button-color: var(--color-burgund-800);
  }

  .button.secondary:hover {
    --button-bg: var(--color-burgund-100);
    --button-color: var(--color-burgund-800);
    --button-border: var(--color-burgund-800);
  }

  .button.secondary.on-light:hover {
    --button-bg: var(--color-gray-100);
    --button-border: var(--color-black);
    --button-color: var(--color-black);
  }

  .button.secondary.on-dark:hover {
    --button-bg: var(--color-gray-700);
    --button-border: var(--color-white);
    --button-color: var(--color-white);
  }

  .button.tertiary:hover {
    --button-bg: transparent;
    --button-border: transparent;
    --button-color: var(--color-burgund-700);
  }

  .button.tertiary.on-dark:hover {
    --button-bg: transparent;
    --button-border: transparent;
    --button-color: var(--color-gray-200);
  }

  .button.tertiary.on-light:hover {
    --button-bg: transparent;
    --button-border: transparent;
    --button-color: var(--color-gray-800);
  }

  .button.tertiary.icon-btn:hover {
    --button-bg: var(--color-burgund-100);
  }

  .button.tertiary.on-light.icon-btn:hover {
    --button-bg: var(--color-gray-100);
  }

  .button.tertiary.on-dark.icon-btn:hover {
    --button-bg: var(--color-gray-800);
  }

  .button:focus {
    outline: unset;
  }

  .is-keyboard & .button:focus-visible,
  .is-keyboard & .button.on-light:focus-visible {
    --button-bg: var(--color-burgund-900);
    --button-border: var(--color-white);
    --button-color: var(--color-white);
    outline: 2px solid var(--color-burgund-900);
  }

  .is-keyboard & .button.on-dark:focus-visible {
    --button-bg: var(--color-gray-300);
    --button-border: var(--color-white);
    --button-color: var(--color-black);
    outline: 2px solid var(--color-white);
    outline-offset: 2px;
  }

  /*// idk*/
  .is-keyboard & .button.secondary.on-dark:focus-visible {
    --button-bg: var(--color-gray-300);
    --button-border: var(--color-white);
    outline: 2px solid var(--color-white);
    outline-offset: 2px;
  }

  /* --- Disabled --- */
  .button[disabled] {
    pointer-events: none;
  }

  .button.primary[disabled],
  .button.primary.on-light[disabled] {
    --button-bg: var(--color-gray-300);
    --button-color: var(--color-white);
    --button-border: var(--color-gray-300);
  }

  .button.primary.on-dark[disabled] {
    --button-bg: var(--color-gray-800);
    --button-border: var(--color-gray-800);
    --button-color: var(--color-gray-700);
  }

  .button.secondary[disabled],
  .button.secondary.on-light[disabled] {
    --button-color: var(--color-gray-300);
    --button-border: var(--color-gray-300);
  }

  .button.secondary.on-dark[disabled] {
    --button-bg: transparent;
    --button-border: var(--color-gray-700);
    --button-color: var(--color-gray-700);
  }

  .button.tertiary[disabled] {
    --button-color: var(--color-gray-300);
  }

  /*// Modifiers*/
  .button.min-width {
    min-width: 10.25rem;
  }

  .button.min-padding {
    padding: 1rem .5rem;
  }

  .button.full-width {
    width: 100%;
  }

  .button.icon-btn {
    padding: .375rem;
    border-radius: 50%;
  }

  .button {
    .icon {
      display: none;
    }

    &.arrow {
      .icon {
        display: block;
      }
    }

    &.full-width {
      width: 100% !important;
    }
  }


  /*Link tile*/

  .link-tile {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    padding: 16px;
    color: var(--color-black);
    background: var(--color-white);
    border: 1px solid var(--color-gray-200);
    border-radius: 16px;
    box-shadow: 0 0 0 rgba(7, 7, 7, 0);
    text-decoration: none;
    transition: transform 0.3s ease, background 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;

    &:hover {
      color: var(--color-black);
      box-shadow: 0 8px 30px rgba(7, 7, 7, 0.08);
    }

    &:focus {
      outline: 2px solid transparent;
      color: var(--color-black);
    }

    .is-keyboard &:focus-visible {
      color: var(--color-black);
      outline: 2px solid var(--color-yellow-600);
      border-color: transparent;
    }

    .icon-avatar {
      flex: 0 0 auto;
      max-width: 100%;
    }

    .text-wrapper {
      flex: 1 0 0;
    }
    .page-title {
      font-weight: 700;
      line-height: 1.3;
      margin-bottom: 4px;
    }

    .page-description {
      margin-bottom: 0;
      font-size: 1rem;
      font-weight: 400;
      line-height: 1.5;
      color: var(--color-gray-800);
    }

    .arrow-icon {
      width: 1.5rem;
      height: 1.5rem;
    }
  }

  /* Icon avatar */
  .icon-avatar {
    --icon-avatar-bg: var(--color-burgund-100);
    --icon-avatar-color: var(--color-burgund-800);

    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .75rem;
    border-radius: .75rem;
    background-color: var(--icon-avatar-bg);

    svg {
      width: 1.5rem;
      height: 1.5rem;

      * {
        fill: var(--icon-avatar-color);
      }
    }

    &.size-48 {
      padding: .75rem;

      svg {
        width: 1.5rem;
        height: 1.5rem;
      }
    }

    &.size-64 {
      padding: 1rem;

      svg {
        width: 2rem;
        height: 2rem;
      }
    }

    &.large-size-64 {
      @media screen and (min-width: 1024px) {
        padding: 1rem;

        svg {
          width: 2rem;
          height: 2rem;
        }
      }
    }

    &.size-72 {
      padding: 1rem;

      svg {
        width: 2.5rem;
        height: 2.5rem;
      }
    }
    &.large-size-72 {
      @media screen and (min-width: 1024px) {
        padding: 1rem;

        svg {
          width: 2.5rem;
          height: 2.5rem;
        }
      }
    }

    &.burgundy {
      --icon-avatar-bg: var(--color-burgund-100);
    }

    &.gray {
      --icon-avatar-bg: var(--color-gray-100);
    }

    &.oval {
      border-radius: 100%;
    }
  }

  /* dropdown */

  .nav-menu-button {
    position: relative;
  }

  .nav-menu-trigger {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 8px 12px;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 13px;
    color: var(--color-black, #000);
    border-radius: 6px;
    transition: background-color 0.2s;
    font-weight: 400;
  }

  .nav-menu-trigger:hover {
    background-color: rgba(0, 0, 0, 0.15);
  }

  .chevron {
    transition: transform 0.2s;
    flex-shrink: 0;
  }

  .nav-menu-trigger.active .chevron {
    transform: rotate(180deg);
  }

  .nav-menu-dropdown {
    position: absolute;
    top: calc(100% + 4px);
    left: 0;
    background: VAR(--color-white);
    border-radius: 8px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    min-width: 260px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-8px);
    transition: all 0.2s ease;
    overflow: hidden;
    z-index: 1001;
  }

  .nav-menu-dropdown.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  .nav-menu-item {
    display: block;
    padding: 14px 20px;
    color: var(--color-black);
    text-decoration: none;
    font-size: 14px;
    transition: background-color 0.15s;
    border-bottom: 1px solid var(--color-gray-100);
  }

  .nav-menu-item:last-child {
    border-bottom: none;
  }

  .nav-menu-item:hover,
  .nav-menu-item:focus-visible {
    background-color: rgba(0, 0, 0, 0.1);
  }
  .nav-menu-item:focus-visible {
    outline-offset: -2px;
  }

  /* Nav styles*/

  @media screen and (min-width: 1024px) {
    .navigation-sticky-wrapper {
      position: sticky;
      top: 0;
      z-index: 1000;
    }
  }

  .bottom-bar-sticky-wrapper {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: var(--zindex-mobile-bottom-nav);
  }

  /*Desktop header*/
  .desktop-header {
    background-color: var(--bg-gray);

    &:has(.sticky-active):not(:has(.anchor-nav-sticky-active)) {
      box-shadow: 0 8px 19px 0 rgba(0, 0, 0, 0.08);
    }
  }

  .header-container {
    padding: 2rem 0 2rem;
    display: flex;
    align-items: flex-start;
    transition: padding 0.5s ease;
  }

  .logo {
    width: 209px;
    height: 108px;
    transition: width 0.2s ease;

    img {
      max-width: 100%;
    }
  }

  .header-rows-wrapper {
    display: flex;
    flex-direction: column;
    flex: 1;
    gap: 8px;
  }

  .header-top-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 1.6875rem;
  }

  .header-top-actions {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-left: auto;
  }

  .header-bottom-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 1rem;
    padding-right: .5rem;
    transition: height 0.3s ease, opacity 0.3s ease;
  }

  /*Segment*/
  .segment-selector {
    .nav-menu-trigger.segment-button {
      font-size: 1rem;
      font-weight: 700;
      color: var(--color-burgund-800);
      padding: 4px 2px;

      .chevron {
        width: 1.5rem;
        height: 1.5rem;
      }
    }

    .nav-menu-dropdown {
      padding: 1rem;
      border-radius: 1rem;
      min-width: 260px;
      left: auto;
      right: 0;
    }

    .segment-item {
      font-size: 18px;
      font-weight: 700;
      padding: 1rem;
      border-radius: .75rem;

      &:hover,
      &:focus-visible {
        font-weight: 700;
        background-color: var(--color-gray-200);
        color: var(--color-black);
      }
    }
  }

  /*Main nav*/
  .main-nav {
    all: revert;
    display: flex;
    align-items: center;
    gap: .5rem;
    transition: opacity 0.3s ease;
  }

  .nav-item-wrapper {}

  .nav-item {
    display: flex;
    align-items: center;
    gap: .5rem;
    padding: .875rem .4375rem .875rem .75rem;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1rem;
    line-height: 1.75;
    text-decoration: none;
    color: var(--color-black);
    border-bottom: 2px solid transparent;
    transition: background-color 0.15s;
    white-space: nowrap;
    font-weight: 600;

    .chevron {
      width: 1.5rem;
      height: 1.5rem;
    }

    &.open,
    &.active {
      color: var(--color-burgund-800);
      border-bottom: 2px solid var(--color-burgund-800);
    }

    &.expanded {
      color: var(--color-burgund-800);
      border-bottom: 2px solid var(--color-burgund-800);

      .chevron {
        transform: rotate(180deg);
      }
    }
  }

  .nav-item:hover {
    background-color: #f8f8f8;
  }

  /*Search trigger*/
  .search-trigger {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    background: var(--color-gray-200);
    color: var(--color-primary);
    padding: 10px;
    border: none;
    border-radius: 8px;
    transition: all 0.2s;
    cursor: pointer;
  }

  .search-trigger:hover,
  .search-trigger:focus-visible {
    background: var(--color-gray-300);
    color: var(--color-burgund-800);
  }

  .search-trigger:focus-visible {
    outline: 2px solid var(--color-black);
  }

  /*Submenu*/
  .desktop-submenu {
    position: absolute;
    left: 0;
    width: 100%;
    top: 100%;
    background: var(--bg-gray);
    box-shadow: 0 38px 40px 2px rgba(0, 0, 0, 0.10);
    opacity: 0;
    visibility: hidden;
    transform: translateY(-12px);
    transition: all 0.25s ease;
    z-index: 999;
  }

  .desktop-submenu.expanded {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  .submenu-container {
    padding-top: 6px;
    padding-bottom: 2rem;
    background: var(--bg-gray);
  }

  .flex-row {
    .submenu-container,
    .search-panel-container {
      .flex-row {
        max-width: var(--flex-grid-width);
        margin-right: auto;
        margin-left: auto;
      }
    }
  }

  .submenu-grid {
    display: grid;
    height: 100%;
    width: 100%;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-auto-flow: column;
    gap: 16px;
    padding: 0 0 1.5rem;
    overflow: auto;

    &.two-rows-only {
      grid-template-rows: repeat(2, 1fr);
    }
  }

  /*Adv*/
  .ens-mega-menu-banner .banner-body {
    display: flex;
    flex-direction: column;
    flex: 1;
    gap: 0.5rem
  }

  .ens-mega-menu-banner img {
    width: 75px;
    aspect-ratio: 1;
    object-fit: contain;
  }

  .ens-mega-menu-banner a {
    text-decoration: none;
  }

  /*Mobile header*/
  .mobile-header {
    display: none;
    background-color: var(--bg-gray);
  }

  .mobile-top-bar {
    padding: 4px 16px;
  }

  .segment-button-mobile {
    display: flex;
    align-items: center;
    gap: 8px;
    background: none;
    border: none;
    cursor: pointer;
    border-radius: 6px;
    transition: background-color 0.2s;

    font-size: .875rem;
    font-weight: 700;
    color: var(--color-burgund-800);
    padding: 4px 0;

    &:hover {
      background-color: rgba(0, 0, 0, 0.15);
    }
    .chevron {
      width: 1.5rem;
      height: 1.5rem;
      transition: transform 0.2s;
      flex-shrink: 0;
    }
  }


  .mobile-main-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px;
  }

  .logo-mobile {
    width: 132px;
    height: 68px;
  }

  .mobile-actions {
    display: flex;
    align-items: flex-start;
    gap: 1rem;

    .mobile-btn-login-wrapper {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: .25rem;
      font-size: .875rem;
      font-weight: 600;
      line-height: 1.5rem;
      color: var(--color-burgund-800);
    }
  }

  .icon-button {
    padding: 10px;
    background: none;
    border: none;
    cursor: pointer;
    color: #1a1a1a;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: background-color 0.2s;
  }

  .icon-button:active {
    background-color: #f5f5f5;
  }

  /*Mobile Bottom nav*/
  .mobile-bottom-nav {
    display: none;
    background: white;
    border-top: 1px solid #e8e8e8;
    padding: 6px 0 8px;
    z-index: var(--zindex-mobile-bottom-nav);
    box-shadow: 0 -2px 8px rgba(0, 0, 0, 0.04);
  }

  .bottom-nav-list {
    display: flex;
    list-style-type: none;
    margin: 0;
    padding: 0;
  }

  .bottom-nav-item {
    display: flex;
    flex: 1;
    margin: 0;

    &:before {
      content: none;
    }
  }

  .bottom-nav-link {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
    padding: 6px 4px;
    background: none;
    border: none;
    cursor: pointer;
    color: var(--color-gray-700);
    font-size: 10px;
    transition: color 0.2s;
    line-height: 1.2;
    text-align: center;
    text-decoration: none;
    word-break: break-word;

    .icon {
      display: block;
    }
    .icon-filled {
      display: none;
      color: var(--color-burgund-700)
    }

    &.open,
    &.active,
    &:hover,
    &:focus-visible {
      color: var(--color-gray-700);
      outline: none;

      .icon {
        display: none;
      }
      .icon-filled {
        display: block;
      }
    }
  }

  .bottom-nav-link svg {
    width: 24px;
    height: 24px;
    flex-shrink: 0;

    * {
      fill: currentColor;
    }
  }

  .bottom-nav-link span {
    max-width: 80px;
  }

  .link-tile {
    grid-column: span 1;
    grid-row: span 1;
    display: flex;
    align-items: center;
    justify-content: center;

    &.advert-tile {
      grid-row: span 2;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      gap: 1rem;
      padding: 0;
      overflow: hidden;
      cursor: initial;

      &:hover {
        transform: none;
      }

      .banner-body {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        flex: 1 0 50%;
        gap: 0.5rem;
        height: 100%;
        padding: 1.5rem 0 1.5rem 1.5rem;
      }

      img {
        object-position: center right;
        flex: 1 0 50%;
        max-width: calc(50% - 1rem);
      }
    }

    .icon-avatar {
      .icon {
        display: block;
      }
      .icon-filled {
        display: none;
      }
    }

    &:hover,
    &:focus-visible {
      .icon-avatar {
        .icon {
          display: none;
        }
        .icon-filled {
          display: block;
        }
      }
    }
  }

  .text-wrapper {}

  .login-title {
    font-size: 14px;
    font-weight: 700;
    line-height: 24px;
    word-wrap: break-word;
    margin-bottom: 4px;
    text-decoration: none;
  }

  .login-description {
    color: var(--color-gray-800);
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    word-wrap: break-word;
    text-decoration: none;
  }

  .arrow-icon {}

  .login-options-wrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .bottom-main-nav-wrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  @media screen and (max-width: 768px) {
    .desktop-header {
      display: none;
    }

    .mobile-header {
      display: block;
    }

    .mobile-bottom-nav {
      display: block;
    }

    .login-card {
      flex: 1 1 100%;
    }

    .custom-modal {
      padding: 28px 20px;
    }
  }

  .sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
  }

  .desktop-search-panel {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--bg-gray);
    opacity: 0;
    visibility: hidden;
    transform: translateY(1rem);
    transition: all 0.3s ease;
    z-index: 998;
  }

  .desktop-search-panel.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  .search-panel-container {
    padding: 0 0 1rem;
  }

  .header-container {
    &.sticky-active {
      align-items: center;
      padding: 0.84rem 0;

      .logo {
        width: 133px;
        height: 69px;
      }

      .header-top-row {
        display: none;
      }
    }

    &.search-active {
      align-items: center;
      padding: 0.84rem 0 5.59rem;

      .logo {
        width: 133px;
        height: 69px;
      }

      .header-bottom-row {
        display: none;
      }
    }

    &.sticky-active.search-active {
      .header-bottom-row {
        display: flex;
      }
    }
  }

  /*Ens search*/
  .ens-search-input-wrapper {
    display: flex;
    align-items: center;
    border: 2px solid var(--border-color);
    border-radius: 0.5rem;
    overflow: hidden;

    &:focus-within {
      border-color: var(--color-burgund-800);
    }
  }

  .ens-search-input {
    flex: 1;
    padding: 0.75rem 0;
    border: none;
    font-size: 1rem;
    height: auto;
    background: var(--bg-gray);

    &#main-search-input {
      background: transparent;
      padding: 0.75rem;

      + .ens-search-submit {
        margin: 0;
        padding: 1.125rem;
        background: var(--border-color);
      }
    }

    &:focus {
      background: transparent;
      border-color: transparent;
    }
    &:focus-visible {
      outline: none;
    }

    @media (min-width: 1024px) {
      font-size: 1.5rem;
    }

    &::-webkit-search-cancel-button {
      appearance: none;
    }
  }

  .ens-search-submit,
  .ens-search-close {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    transition: var(--transition);
    border-color: transparent;
    padding: 0;
    margin: 0;

    &:hover {
      color: var(--text-color);
    }
    &:focus {
      color: var(--text-color);
    }
    &:focus-visible {
      outline: 2px solid var(--color-black);
      outline-offset: -2px;
      border-radius: 6px;
    }
  }

  .ens-search-close {
    width: 3.75rem;
    height: 3.75rem;
    background-color: var(--color-gray-200);
  }

  .ens-search-submit {
    width: auto;
    height: auto;
    margin: 0 .5rem 0 1rem;

    @media screen and (min-width: 1024px) {
      margin: 0 1rem 0 1.5rem;
    }
  }

  .ens-search-submit-icon {
    width: 1.25rem;
    height: 1.25rem;

    @media screen and (min-width: 1024px) {
      width: 1.5rem;
      height: 1.5rem;
    }
  }

  .ens-search-suggestions {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: var(--color-white);
    border: 1px solid var(--border-color);
    border-radius: 1rem;
    box-shadow: 0 8px 30px 0 rgba(7, 7, 7, 0.08);
    margin-top: 0.25rem;
    max-height: 260px;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: opacity 0.3s ease, transform 0.3s ease, visibility 0s linear 0.3s;
    z-index: 102;
  }

  .ens-search-suggestions.show {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    transition: opacity 0.3s ease, transform 0.3s ease;
  }

  .suggestion-item {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    cursor: pointer;
    transition: var(--transition);
  }
  .suggestion-item a,
  .suggestion-item span {
    padding: 0.75rem 1rem;
    font-size: 1rem;
    background-color: transparent;
    text-decoration: none;
    cursor: pointer;

    @media screen and (min-width: 1024px) {
      font-size: 1.5rem;
    }
  }
  .suggestion-item a:first-child,
  .suggestion-item span:first-child {
    flex: 1 0 auto;
  }
  .suggestion-item a:hover,
  .suggestion-item span:hover {
    color: var(--color-black);
    background-color: var(--background-light);
  }

  .suggestion-item a:not(:only-child):last-child {
    font-weight: 600;
    color: var(--color-primary);
  }

  .suggestion-item a:first-child {
    flex: 1;
  }

  .suggestion-item:last-child {
    border-bottom: none;
  }

  :is(.ens-search-suggestions, .ens-mobile-search-suggestions) .suggestion-item :is(a, span) {
    &:hover {
      background-color: var(--background-light);
    }

    &.active,
    &:focus-visible {
      background-color: var(--background-light);
      outline: 2px solid var(--focus-color);
      outline-offset: -4px;
      border-radius: 8px;
    }
  }

  /* Mobile search styles */
  .ens-mobile-search-wrapper {
    border-radius: 0.5rem;
    margin: 0.5rem 0;
  }

  .ens-mobile-search-input-wrapper {
    display: flex;
    align-items: center;
    border: 2px solid var(--border-color);
    border-radius: 0.5rem;
    overflow: hidden;
    background-color: var(--background-color);

    &:focus-within {
      border-color: var(--color-burgund-800);
    }
  }

  .ens-mobile-search-input {
    flex: 1;
    min-width: 0;
    margin: 0;
    padding: 0.75rem 0;
    border: none;
    border-radius: 4px;
    outline: none;
    font-size: 1rem;

    &:focus {
      background: transparent;
      border-color: transparent;
    }
    &:focus-visible {
      outline: none;
    }

    &::-webkit-search-cancel-button {
      appearance: none;
    }

    @media screen and (min-width: 1024px) {
      font-size: 1.5rem;
    }
  }

  .ens-mobile-search-submit {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    margin: 0;
    padding: 0;
    background-color: var(--color-gray-200);
    transition: var(--transition);

    &:hover {
      background-color: var(--color-gray-200);
      color: var(--text-color);
    }
    &:focus {
      background-color: var(--color-gray-200);
      color: var(--text-color);
    }
    &:focus-visible {
      background-color: var(--color-gray-200);
    }
  }

  .ens-mobile-search-suggestions {
    margin-top: 0.5rem;
    display: none;
    background-color: var(--color-white);
    padding: 0;
    border: 1px solid var(--border-color);
    border-radius: 0.5rem;
    max-height: 200px;
    overflow-y: auto;
  }

  .ens-mobile-search-suggestions.show {
    display: block;
  }

  .ens-mobile-kantor-login-buttons {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
    margin: 1rem;
  }
}
